Bug 105023 - dasd_diag_mod.o not found.
dasd_diag_mod.o not found.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
Blocks: 106472
  Show dependency treegraph
Reported: 2003-09-24 14:51 EDT by Sridhar Talluri
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-15 08:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sridhar Talluri 2003-09-24 14:51:17 EDT
Running ..
 2.4.21-1.1931.2.399.ent #1 SMP Wed Aug 20 15:23:46 EDT 2003 s390x s390x s390x 
GNU/Linux   &
 2.4.21-3.EL #1 SMP Fri Sep 19 13:58:05 EDT 2003 s390x s390x s390x GNU/Linux
and attempting to load the dasd_diag module for VM reserved minidisk.

Found that the dasd_diag_mod.o is not present in 

Please contact me for any further information
Comment 1 Pete Zaitcev 2003-09-24 21:47:09 EDT
The diag access is not enabled in Taroon. It was present in Mach1,
although it never was supported officially (neither was FBA).

Is it good for anything at all? I thought that ECKD method
covered all possible dasds, and that VM diagnostics only
allowed access to something which Linux cannot use anyway.
The xpram is driven by FBA module. The Open System SCSI is
driven by zfcp.

I'll ask Florian to clarify.
Comment 2 Florian La Roche 2003-09-25 03:38:05 EDT
This module is used for VM minidisks and if this item has fallen through for GA,
we should add this item to the IBM <-> Red Hat discussions and check if this
should be changed for U1.

Pete, can you comment on why it is left out? The config file looks like this is
marked as a module we wanted to include for GA, so there must be some problem
in the s390 code the prevent it from proper building?


Florian La Roche
Comment 3 Florian La Roche 2003-09-25 03:50:22 EDT
I've just gone back and checked our kernel again, since I was sure I have used
this module a few weeks ago. Seems it is properly included in the s390(31bit)
version, but not in the s390x(64bit) release. Config files are identical, so
there must be some s390 <-> s390x bug in the configuration or Pete is right and
this module might not make that much sense on newer setups?


Florian La Roche
Comment 4 Bill Goodrich 2003-09-25 14:30:55 EDT
Hi Pete, the guy that was trying to load dasd diag was trying to run a test
scenario for reserved VM minidisk. I was reading the change log for
kernel-unsupported yesterday and it looks like you added some support for
reserved minidisk in there. We will test this with RC 1 and see what happens. 
Comment 5 Pete Zaitcev 2003-09-25 15:08:32 EDT
Florian is right. The configuration file drivers/s390/Config.in says

  if [ "$CONFIG_ARCH_S390X" != "y" ]; then
    dep_tristate '   Support for DIAG access to CMS reserved Disks'

This is identical to what 2.4.9 based kernels were, and
what is in Marcelo tree. So, this is not a regression.

I think only experts in Boeblingen can tell why the diag
access is only used in 31 bit more.
Comment 7 Pete Zaitcev 2003-10-08 16:56:54 EDT
*** Bug 106602 has been marked as a duplicate of this bug. ***
Comment 9 Bill Goodrich 2003-10-15 08:25:36 EDT
Here are some comments from one of the IBM Linux Developers:

I woould make the below update to the bugzilla, but I have no write access........

We disabled the DIAG module fo 64 bit simply because the z/VM DIAG250 access method
used in this module is NOT 64 bit ready. This means that as soon as the machine
is using more than 2G memory we might get unpredictable results if using the module.

Therefore we disabled the module for 64bit and I think we should not enable
again until z/VM DIAG supports 64bit addresses.

The ECKD module is able to access this kind of devices using CCWs without any
restrictions. In fact there is NO NEED for the DIAG access method.

Hope this helps....

Mit freundlichen Gruessen / Best regards
Horst Hummel
Linux for eServer Development (D/3303)
Schoenaicher Str. 220, 71032 Boeblingen, Germany
Internet:    horst.hummel@de.ibm.com

Note You need to log in before you can comment on or make changes to this bug.